Bug 56767 - sessions hang on exit
sessions hang on exit
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2001-11-27 06:16 EST by Chris Ricker
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-17 10:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-11-27 06:16:48 EST
I've noticed this problem for several releases of Red Hat and finally
remembered to bugzilla it, since it's still present in a fully up-to-date
RH 7.2 box.

remote ssh sessions will occasionally "hang" for me when exiting.  After I
ssh into a remote system, do my work, and then type logout (or exit or...),
the connection will remain open even though I'm no longer logged into the
remote system.  The only way to close the ssh session is to kill the ssh
process on the client.

I've not noticed any pattern about the server versions to which I'm
connecting that exhibit this problem.  Some are Red Hat, but I also see it
with non-RH servers running various releases of openssh 2.x / 3.x.
Comment 1 Nalin Dahyabhai 2002-03-07 16:09:37 EST
If you started up background processes while logged in, they may still be
connected to the pseudo-terminal which holds your login.  sshd doesn't close the
connection, because it has no way of knowing that backgrounded processes won't
be sending data which you need to get.
Comment 2 Dennis Björklund 2002-04-22 04:34:28 EDT
I've had similar problems with skipjack that I downloaded and installed
yesterday. Before with rh72 i've never had problems like this.

A couple of times sshd have hanged and not returned my terminal when exiting,
and one time it also stoped to accept new logins. I had to restart sshd at the
machin locally.

I have not seen any pattern of when it hangs so this comment is not of much use.
I've seen this in /var/log/secure but I don't know if it's related:

Apr 22 08:54:08 zigo2 sshd[916]: Server listening on port 22.
Apr 22 08:54:32 zigo2 sshd[1163]: Could not reverse map address
Apr 22 08:54:35 zigo2 sshd[1163]: Accepted password for root from
port 49809 ssh2
Apr 22 09:08:15 zigo2 sshd[1363]: Could not write ident string to
Apr 22 09:09:17 zigo2 sshd[1381]: Did not receive identification string from
Apr 22 09:12:44 zigo2 sshd[1393]: Did not receive identification string from
Apr 22 10:08:18 zigo2 sshd[1163]: session_input_channel_req: no session 0 req
Apr 22 10:08:35 zigo2 sshd[1886]: Could not reverse map address
Apr 22 10:08:37 zigo2 sshd[1886]: Accepted password for root from
port 57578 ssh2
Apr 22 10:09:07 zigo2 sshd[1163]: session_input_channel_req: no session 0 req
Apr 22 10:09:10 zigo2 last message repeated 2 times
Apr 22 10:09:53 zigo2 sshd[916]: Received signal 15; terminating.
Apr 22 10:12:01 zigo2 sshd[2057]: Server listening on port 22.

You can see the signal 15 where I went and restarted sshd at the console of the
machine, before there is a strange message, and during this time I could not log
in at all with ssh.

Also I find it strange that is is listening on, but maybe that is what
it should be. I can still login when it says that.

I don't have any reverse lookup for (and no line in /etc/hosts) yet
since this is a fresh install. But it's still the case that it works 10 times
and hangs the 11:th so I don't think that is the problem.

Maybe I should open a new bug since I only see this in skipjack
(openssh-3.1p1-2) and not in 7.2.

ps. I'm pretty sure I don't have any background processes or anything when it
Comment 3 Chris Ricker 2003-10-17 10:37:12 EDT
Closing, since I've not seen lately

Note You need to log in before you can comment on or make changes to this bug.